Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1782288 - python-mistune-2.0.4 is available
Summary: python-mistune-2.0.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-mistune
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2134224
Blocks: 2032607 2046878
TreeView+ depends on / blocked
 
Reported: 2019-12-11 14:10 UTC by Upstream Release Monitoring
Modified: 2022-11-10 22:16 UTC (History)
7 users (show)

Fixed In Version: python-mistune-2.0.4-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-10 22:16:51 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
[patch] Update to 2.0.0a1 (#1782288) (deleted)
2019-12-11 14:10 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0a2 (#1782288) (deleted)
2020-01-05 09:21 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0a3 (#1782288) (deleted)
2020-04-11 07:17 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0a4 (#1782288) (deleted)
2020-04-19 15:34 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2019-12-11 14:10:45 UTC
Latest upstream release: 2.0.0a1
Current version/release in rawhide: 0.8.3-10.fc32
URL: https://github.com/lepture/mistune

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/6189/

Comment 1 Upstream Release Monitoring 2019-12-11 14:10:49 UTC
Created attachment 1643908 [details]
[patch] Update to 2.0.0a1 (#1782288)

Comment 2 Upstream Release Monitoring 2019-12-11 14:52:49 UTC
the-new-hotness/release-monitoring.org's scratch build of python-mistune-2.0.0a1-1.fc29.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=39484243

Comment 3 Upstream Release Monitoring 2020-01-05 09:21:21 UTC
Latest upstream release: 2.0.0a2
Current version/release in rawhide: 0.8.3-10.fc32
URL: https://github.com/lepture/mistune

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/6189/

Comment 4 Upstream Release Monitoring 2020-01-05 09:21:25 UTC
Created attachment 1649926 [details]
[patch] Update to 2.0.0a2 (#1782288)

Comment 5 Upstream Release Monitoring 2020-01-05 09:35:35 UTC
the-new-hotness/release-monitoring.org's scratch build of python-mistune-2.0.0a2-1.fc29.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=40137680

Comment 6 Upstream Release Monitoring 2020-04-11 07:17:51 UTC
Latest upstream release: 2.0.0a3
Current version/release in rawhide: 0.8.3-11.fc32
URL: https://github.com/lepture/mistune

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/6189/

Comment 7 Upstream Release Monitoring 2020-04-11 07:17:55 UTC
Created attachment 1677980 [details]
[patch] Update to 2.0.0a3 (#1782288)

Comment 8 Upstream Release Monitoring 2020-04-11 07:20:16 UTC
the-new-hotness/release-monitoring.org's scratch build of python-mistune-2.0.0a3-1.fc30.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=43217671

Comment 9 Upstream Release Monitoring 2020-04-19 15:34:22 UTC
Latest upstream release: 2.0.0a4
Current version/release in rawhide: 0.8.3-11.fc32
URL: https://github.com/lepture/mistune

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/6189/

Comment 10 Upstream Release Monitoring 2020-04-19 15:34:26 UTC
Created attachment 1680035 [details]
[patch] Update to 2.0.0a4 (#1782288)

Comment 11 Upstream Release Monitoring 2020-04-19 15:37:00 UTC
the-new-hotness/release-monitoring.org's scratch build of python-mistune-2.0.0a4-1.fc30.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=43533415

Comment 12 Upstream Release Monitoring 2020-09-02 17:34:53 UTC
Latest upstream release: 2.0.0a5
Current version/release in rawhide: 0.8.3-13.fc33
URL: https://github.com/lepture/mistune

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/6189/

Comment 13 Upstream Release Monitoring 2020-09-02 17:34:55 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!

Comment 14 Upstream Release Monitoring 2020-11-26 12:30:35 UTC
Latest upstream release: 2.0.0a6
Current version/release in rawhide: 0.8.3-13.fc33
URL: https://github.com/lepture/mistune

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/6189/

Comment 15 Upstream Release Monitoring 2020-11-26 12:30:39 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!

Comment 16 Tomáš Hrnčiar 2020-12-15 13:55:08 UTC
I have opened PR with update to 0.8.4 to fix some errors wrt Python3.10.

https://src.fedoraproject.org/rpms/python-mistune/pull-request/3#

Comment 17 Miro Hrončok 2021-12-07 13:31:19 UTC
2.0.0 is out, but it has breaking changes. Impact check is really needed.

Comment 18 Michel Lind 2021-12-14 21:38:17 UTC
(In reply to Miro Hrončok from comment #17)
> 2.0.0 is out, but it has breaking changes. Impact check is really needed.

We need >= 2.0.0rc1 for Hyperkitty, so we should probably upgrade at least in Rawhide. I'll do a PR with my spec changes and check what dependents there are.

Comment 19 Michel Lind 2021-12-14 21:57:49 UTC
PR for 2.0.0 - https://src.fedoraproject.org/rpms/python-mistune/pull-request/5

We should probably have the following SIG groups added to the package too?

- infra-sig (admin access) as this is a dependency for Hyperkitty
- python-sig (commit access)
- epel-packagers-sig (collaborator access, epel* branches)

On the dependency side, looks like python-nbconvert is still not compatible (though we should test):
https://github.com/jupyter/nbconvert/blob/main/setup.py#L215

python-mistune on  mistune2 took 28s                             
❯ sudo dnf repoquery --enablerepo=fedora-source,rawhide,rawhide-source --whatrequires python3-mistune                                
Fedora 35 - Source                                                                                    18 kB/s |  10 kB     00:00    
python-m2r-0:0.2.1-5.20190604git66f4a5a.fc35.src                                                                                     
python-nbconvert-0:6.1.0-2.fc35.src                                                                                                  
python-nbconvert-0:6.1.0-3.fc36.src                               
python3-m2r-0:0.2.1-5.20190604git66f4a5a.fc35.noarch              
python3-nbconvert-0:6.1.0-2.fc35.noarch                           
python3-nbconvert-0:6.1.0-3.fc36.noarch  

python-mistune on  mistune2 
❯ sudo dnf repoquery --requires python3-m2r
Last metadata expiration check: 0:01:42 ago on Tue 14 Dec 2021 01:52:19 PM PST.
/usr/bin/python3
python(abi) = 3.10
python3-docutils
python3-mistune
python3.10dist(docutils)
python3.10dist(mistune)

python-mistune on  mistune2 
❯ sudo dnf repoquery --requires python3-nbconvert
Last metadata expiration check: 0:01:51 ago on Tue 14 Dec 2021 01:52:19 PM PST.
(python3.10dist(mistune) < 2 with python3.10dist(mistune) >= 0.8.1)
(python3.10dist(nbclient) < 0.6 with python3.10dist(nbclient) >= 0.5)
/usr/bin/python3
python(abi) = 3.10
python3.10dist(bleach)
python3.10dist(defusedxml)
python3.10dist(entrypoints) >= 0.2.2
python3.10dist(jinja2) >= 2.4
python3.10dist(jupyter-core)
python3.10dist(jupyterlab-pygments)
python3.10dist(nbformat) >= 4.4
python3.10dist(pandocfilters) >= 1.4.1
python3.10dist(pygments) >= 2.4.1
python3.10dist(testpath)
python3.10dist(traitlets) >= 5
python3dist(setuptools)

Comment 20 Petr Viktorin (pviktori) 2021-12-15 09:37:20 UTC
mistune 2.0 has a completely new API. All dependent packages will be broken (unless it's an unused forgotten dependency).

nbconvert: https://github.com/jupyter/nbconvert/issues/1685
m2r: https://github.com/miyakogi/m2r/issues/66


The [changelog] says "completely new mistune"; I couldn't find a migration guide.

[changelog]: https://mistune.readthedocs.io/en/latest/changes.html#version-2-0-0a1

Comment 21 Miro Hrončok 2021-12-15 12:57:43 UTC
To understand the scope of the negative impact if we upgraded mistune:

$ repoquery --repo=rawhide{,-source} --whatrequires python3-m2r --whatrequires python3-nbconvert --recursive
cutter-re-0:2.0.4-1.fc36.i686
cutter-re-0:2.0.4-1.fc36.x86_64
cutter-re-devel-0:2.0.4-1.fc36.i686
cutter-re-devel-0:2.0.4-1.fc36.x86_64
electron-cash-0:4.2.6-1.fc36.noarch
electrum-0:4.1.5-1.fc35.noarch
gap-pkg-jupyterkernel-0:1.4.1-2.fc36.src
iaito-0:5.3.1-4.fc36.i686
iaito-0:5.3.1-4.fc36.x86_64
iaito-devel-0:5.3.1-4.fc36.i686
iaito-devel-0:5.3.1-4.fc36.x86_64
iaito-doc-0:5.3.1-4.fc36.noarch
nikola-0:8.1.3-5.fc36.noarch
python-Automat-0:20.2.0-8.fc35.src
python-animatplot-0:0.4.1-11.fc35.src
python-bluepyopt-0:1.11.5-1.fc36.src
python-branca-0:0.4.2-4.fc35.src
python-fixit-0:0.1.4-3.fc36.src
python-fsleyes-0:1.3.0-1.fc36.src
python-fsspec-0:2021.10.1-1.fc36~bootstrap.src
python-ipyparallel-0:8.0.0-1.fc36.src
python-jupyter-sphinx-0:0.3.2-2.fc35.src
python-libcst-0:0.3.21-1.fc36.src
python-libpysal-0:4.5.1-2.fc36.src
python-nb2plots-0:0.6-17.20201224.1a7bac4.fc35.src
python-nbclient-0:0.5.5-2.fc36.src
python-nbconvert-0:6.1.0-3.fc36.src
python-nbsphinx-0:0.8.7-1.fc36.src
python-networkx-0:2.6.3-2.fc36.src
python-nikola-0:8.1.3-5.fc36.src
python-notebook-0:6.4.6-2.fc36.src
python-octave-kernel-0:0.33.1-1.fc36.src
python-pybids-0:0.13.1-3.fc35.src
python-pydata-sphinx-theme-0:0.7.2-1.fc36.src
python-pyrtlsdr-0:0.2.92-6.fc35.src
python-pyswarms-0:1.3.0-8.fc36.src
python-qdarkstyle-0:3.0.2-2.fc35.src
python-sciunit-0:0.2.2.2-7.fc35.src
python-sphinxcontrib-openapi-0:0.7.0-3.fc35.src
python-usort-0:0.6.3-4.fc35.src
python3-fsleyes-0:1.3.0-1.fc36.noarch
python3-ipython+notebook-0:7.29.0-1.fc36.noarch
python3-ipywidgets-0:7.6.4-1.fc36.noarch
python3-jupyroot-0:6.24.06-2.fc36.x86_64
python3-jupyter-sphinx-0:0.3.2-2.fc35.noarch
python3-nb2plots-0:0.6-17.20201224.1a7bac4.fc35.noarch
python3-nbsphinx-0:0.8.7-1.fc36.noarch
python3-nikola-0:8.1.3-5.fc36.noarch
python3-notebook-0:6.4.6-2.fc36.noarch
python3-qdarkstyle-0:3.0.2-2.fc35.noarch
python3-sciunit-0:0.2.2.2-7.fc35.noarch
python3-sphinxcontrib-openapi-0:0.7.0-3.fc35.noarch
python3-spyder-0:5.1.5-1.fc36.noarch
python3-widgetsnbextension-0:3.5.1-5.fc35.noarch
pythran-0:0.10.0-1.fc36.src
rebase-helper-0:0.26.0-1.fc36.src
root-notebook-0:6.24.06-2.fc36.noarch
sagemath-0:9.4-2.fc36.src
sagemath-0:9.4-2.fc36.x86_64
sagemath-core-0:9.4-2.fc36.x86_64
sagemath-data-0:9.4-2.fc36.noarch
sagemath-data-combinatorial_designs-0:9.4-2.fc36.noarch
sagemath-data-conway_polynomials-0:9.4-2.fc36.noarch
sagemath-data-elliptic_curves-0:9.4-2.fc36.noarch
sagemath-data-elliptic_curves_large-0:9.4-2.fc36.noarch
sagemath-data-etc-0:9.4-2.fc36.noarch
sagemath-data-graphs-0:9.4-2.fc36.noarch
sagemath-data-polytopes_db-0:9.4-2.fc36.noarch
sagemath-jupyter-0:9.4-2.fc36.x86_64
sagemath-sagetex-0:9.4-2.fc36.x86_64
zuul-0:3.19.1-4.fc35.src

Comment 22 Upstream Release Monitoring 2021-12-30 16:02:58 UTC
Latest upstream release: 2.0.1
Current version/release in rawhide: 0.8.4-2.fc35
URL: https://github.com/lepture/mistune

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/6189/

Comment 23 Christian Dersch 2021-12-30 16:20:56 UTC
(In reply to Michel Alexandre Salim from comment #19)
> PR for 2.0.0 -
> https://src.fedoraproject.org/rpms/python-mistune/pull-request/5
> 
> We should probably have the following SIG groups added to the package too?
> 
> - infra-sig (admin access) as this is a dependency for Hyperkitty
> - python-sig (commit access)
> - epel-packagers-sig (collaborator access, epel* branches)
> 

python-sig already has access, I can upgrade to admin there. But I disagree that we should add infra-sig just because mistune is a dependency of Hyperkitty. As you see a lot of stuff requires mistune in some way, including significant packages of the scientific Python stack (which I packaged mistune for some time ago). 

For the update: We need nbconvert and m2r to be fixed before we can update to 2.x.

Comment 24 romulasry 2022-01-07 07:52:54 UTC
Mind linking to nbconvert and m2r upstream issues? Great job btw.

Comment 25 romulasry 2022-01-07 07:58:35 UTC
python-nbconvert-6.4.0 is available
https://bugzilla.redhat.com/show_bug.cgi?id=2036765
python-mbr is at the latest at the time of posting: 0.2.1
https://github.com/miyakogi/m2r/issues

Comment 26 Upstream Release Monitoring 2022-01-14 16:54:10 UTC
Latest upstream release: 2.0.2
Current version/release in rawhide: 0.8.4-2.fc35
URL: https://github.com/lepture/mistune

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/6189/

Comment 27 Upstream Release Monitoring 2022-07-02 15:04:41 UTC
Releases retrieved: 2.0.3
Upstream release that is considered latest: 2.0.3
Current version/release in rawhide: 0.8.4-4.fc37
URL: https://github.com/lepture/mistune

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/6189/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-mistune

Comment 28 Upstream Release Monitoring 2022-07-13 11:09:03 UTC
Releases retrieved: 3.0.0a1, 3.0.0a2
Upstream release that is considered latest: 3.0.0a2
Current version/release in rawhide: 0.8.4-4.fc37
URL: https://github.com/lepture/mistune

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/6189/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-mistune

Comment 29 Upstream Release Monitoring 2022-07-15 10:22:00 UTC
Releases retrieved: 2.0.4, 3.0.0a3
Upstream release that is considered latest: 3.0.0a3
Current version/release in rawhide: 0.8.4-4.fc37
URL: https://github.com/lepture/mistune

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/6189/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-mistune

Comment 30 Michel Lind 2022-10-12 20:25:24 UTC
Oh we need to stop release monitoring picking up pre-release versions too...

Comment 31 Fedora Update System 2022-10-13 15:34:15 UTC
FEDORA-2022-e4f5866111 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e4f5866111

Comment 32 Fedora Update System 2022-10-14 10:30:50 UTC
FEDORA-2022-e4f5866111 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-e4f5866111`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e4f5866111

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 33 Fedora Update System 2022-11-10 22:16:51 UTC
FEDORA-2022-e4f5866111 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.